%define qt_version 3.3.7
%define kdelibs_epoch 6

Version: 3.5.6
Release: 3%{?dist}
Epoch: 1
Summary: K Desktop Environment - Accessibility
Name: kdeaccessibility
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://accessibility.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch: kdeaccessibility-3.5.6-desktop-file.patch

Requires: kdelibs >= %{kdelibs_epoch}:%{version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{kdelibs_epoch}:%{version}
BuildRequires: alsa-lib-devel
BuildRequires: libXtst-devel

%description
Included with this package are:
kmag, a screen magnifier,
kmousetool, a program for people whom it hurts to click the mouse,
kmouth, program that allows people who have lost their voice
to let their computer speak for them.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel

%description devel
Development file for the KDE Accessibility

%prep
%setup -q

%patch -p1 -b .desktop-file

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

desktop-file-install \
  --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --delete-original \
  %{buildroot}%{_datadir}/applnk/Applications/*.desktop ||:

# file lists for locale
%find_lang %{name} || touch %{name}.lang
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}/$HTML_DIR ]; then
  for lang_dir in %{buildroot}/$HTML_DIR/* ; do
    if [ -d $lang_dir ]; then
      lang=$(basename $lang_dir)
      echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
      # replace absolute symlinks with relative ones
      pushd $lang_dir
         for i in *; do
           [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
         done
      popd
    fi
  done
fi

# rpmdocs
for dir in kmag kmousetool ksayit kttsd ; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  $dir/$file && install -p -m644 -D $dir/$file rpmdocs/$dir/$file
  done
done

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig ||:
for icon_theme in mono hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig ||:
for icon_theme in mono hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%doc rpmdocs/*
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/*/
%config(noreplace) %{_datadir}/config/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/icons/mono/
%{_datadir}/service*/*.desktop
%{_libdir}/lib*.so.*
%{_libdir}/*.la
%{_libdir}/kde?/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.so

%changelog
* Mon Mar 12 2007 Than Ngo <than@redhat.com> 1:3.5.6-3.fc7
- fix broken dependencies

* Mon Feb 26 2007 Than Ngo <than@redhat.com> - 1:3.5.6-2.fc7
- cleanup specfile

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 1:3.5.6-1.fc7
- 3.5.6

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 1:3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 1:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 1:3.5.3-2
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.3-1.1
- rebuild

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 1:3.5.3-1
- update to 3.5.3

* Tue Apr 04 2006 Than Ngo <than@redhat.com> 1:3.5.2-1
- update to 3.5.2

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 3.5.1-2
- BuildRequires: libXtst-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 1:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 01 2005 Than Ngo <than@redhat.com> 1:3.5.0-1
- 3.5

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 1:3.4.92-1
- update to 3.5 beta2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 1:3.4.91-1
- update to 3.5 beta 1

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 1:3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 1:3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Wed Mar 16 2005 Than Ngo <than@redhat.com> 1:3.4.0-1
- KDE 3.4.0 final

* Sun Feb 27 2005 Than Ngo <than@redhat.com> 1:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Sun Feb 20 2005 Than Ngo <than@redhat.com> 1:3.3.92-0.1
- KDE 3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Fri Jun 04 2004 Than Ngo <than@redhat.com> 1:3.2.3-0.1
- update to 3.2.3

* Mon Apr 12 2004 Than Ngo <than@redhat.com> 1:3.2.2-0.1
- 3.2.2 release

* Sat Mar 06 2004 Than Ngo <than@redhat.com> 1:3.2.1-0.1
- 3.2.1 release

* Fri Feb 06 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.2
- rebuilt against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.1
- 3.2.0 release

* Sun Dec 07 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta 2

* Sat Nov 15 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- initial rpm for Fedora
